<?php

include "config.php";

$servidor = 'http://'.$_SERVER['SERVER_NAME'].'/';

$asistente = filter_var($_POST['asistente'],  FILTER_SANITIZE_STRING);
$correo = filter_var($_POST['correo'],  FILTER_SANITIZE_STRING);
$cargo = filter_var($_POST['cargo'],  FILTER_SANITIZE_STRING);

$colegio = filter_var($_POST['colegio'],  FILTER_SANITIZE_STRING);
$fecha=strftime( "%Y-%m-%d-%H-%M-%S", time() );

$taller1 = filter_var($_POST['taller1'],  FILTER_SANITIZE_STRING);
$taller2 = filter_var($_POST['taller2'],  FILTER_SANITIZE_STRING);


$sql = "SELECT * FROM 2017_seminario_reputacion_educativa_26_27_abril WHERE director_correo='".$correo."'";
$resEmp = mysql_query($sql, $conn) or die(mysql_error());
$totEmp = mysql_num_rows($resEmp);
if ($totEmp > 0) {
	while ($rowEmp = mysql_fetch_assoc($resEmp)) {
		$correo_existe = "ok";
	}
}


if ($asistente == "" || is_numeric($asistente) ){
	if ( is_numeric($asistente) ){
		echo "Error en Nombre. Por favor, ingresar solo letras.";
	}else{
		echo "Error en Nombre. Por favor, ingresar Nombre.";
	}
}
else if( $correo == "" || !(preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/",$correo)) ){
	if ( !(preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/",$correo)) ){
		echo "Correo inválido.";
	}else{
		echo "Error. Por favor, ingrese su correo.";
	}
}

else if ($correo_existe == "ok" ){
	echo "El Correo:<strong> ".$correo."</strong> ya se encuentra registrado.";
}

else if ($cargo == "" ){
	echo "Error en cargo. Por favor, Seleccione su cargo.";
}
	
else if ($colegio == "" ){
	echo "Error en Colegio. Por favor, Seleccione su colegio.";
}

else if ($taller1 == "" ){
	echo "Error en taller 1. Por favor, Seleccione su 1° Taller.";
}

else if ($taller2 == "" ){
	echo "Error en taller 2. Por favor, Seleccione su 2° Taller.";
}

else{



		$insertPersona= "INSERT INTO  2017_seminario_reputacion_educativa_26_27_abril (id,director_nombre,director_correo,cargo,colegio,taller1,taller2,fecha_registro)VALUES (NULL,
		'". mb_convert_case(strtoupper($asistente), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($correo), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($cargo), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($colegio), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($taller1), MB_CASE_UPPER, "UTF-8")."',
		'". mb_convert_case(strtoupper($taller2), MB_CASE_UPPER, "UTF-8")."',
		'".date("Y-m-d H:i:s")."')";
		
			$result = mysql_query($insertPersona,$conn) or die(mysql_error($conn));



		$mensaje = '<html>
							<head>
							<title>Inscripci&oacute;n en L&iacute;nea - Premio Excelencia Académica UDEP - Universidad de Piura</title>
							
							</head>
							<body>
							<div style="width:100%;">
							
							<table bgcolor="#FFF" width="100%" height="300" border="0" cellspacing="0" cellpadding="5" align="left" >
								<tr>
									<img src="'.$servidor.'img/confirmacion.jpg" width="700" border="0">
								</tr>
								<tr>
								  <td  align="left" class="tdrow1"><p style="font-family:Arial;">Hola <strong>'.strtoupper($asistente).'</strong></p>
	
		<p style="font-family:Arial;">
		Se ha confirmado tu participaci&oacute;n en el <strong>Seminario Internacional de Reputaci&oacute;n Educativa</strong></p>
		<p style="font-family:Arial;">Te esperamos el 26 y 27 de abril.</p>
		</p></td>
								</tr>
								<tr>
									<td align="left" class="maintitle"></td>
								</tr>
								<tr>
									<td style="padding:0px; margin:0px;" ><a style="padding:0px; margin:0px;" target="_blank" href="http://admisionudep.com"><img src="'.$servidor.'/img/footer.jpg" width="700" border="0" ></a></td>
								</tr>
								<tr>
									<td align="left" class="maintitle"><strong></strong></td>
								</tr>
								</table>	
								</div>					
							</body>
							</html>';


		ini_set( display_errors, 1 );
		error_reporting( E_ALL );
		$from = "admision@admisionudep.com";
		$to = $correo;
		$subject = "Confirmación de Registro";
	//	$message = "This is a test to check the PHP Mail functionality";
		$message = $mensaje;
	//	$headers = "From:" . $from;
	// Cabecera que especifica que es un HMTL
	$headers = 'From: admisionlima@udep.pe' . "\r\n" . //La direccion de correo desde donde supuestamente se envió
		'Reply-To: admisionlima@udep.pe' . "\r\n" . //La direccion de correo a donde se responderá (cuando el recepto haga click en RESPONDER)
		'MIME-Version: 1.0' . "\r\n".
		'Content-type: text/html; charset=utf-8' . "\r\n".
		'X-Mailer: PHP/' . phpversion();  //información sobre el sistema de envio de correos, en este caso la version de PHP
		mail($to,$subject,$message, $headers);
		echo "";


}
?>
